Intake Flow

An intake flow is a series of forms that the patient takes when they register for the patient portal.

The intake flow model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the intake flow.

  • Name
    object
    Type
    string
    Description

    Always 'intake_flow'.

  • Name
    name
    Type
    string
    Description

    Name of intake flow.

  • Name
    description
    Type
    string
    Description

    Description of intake flow.

  • Name
    default
    Type
    boolean
    Description

    Whether this is the default intake flow.

  • Name
    forms
    Type
    array of stringd
    Description

    List of form ids that are part of the intake flow.

  • Name
    usable_by
    Type
    object
    Description
    Only applies if not the default intake flow. Who can use this form.
  • Name
    created_by
    Type
    string
    Description

    Creator of the intake flow.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in Unix epoch time) of when the intake flow was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in Unix epoch time) of when the intake flow was last updated.

Response

{
    "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
    "object": "form",
    "name": "Default Intake Flow",
    "description": "This is the default intake flow.",
    "default": true,
    "forms": ["form_NOIYLBGOBNhSwTWCUzfu", "form_OBNhSwTWNOIYLBGCUzfu"],
    "usable_by": {
        "usable_by_all": true,
        "usable_by": {
            "medical_centers":[],
            "specializations": [],
            "peer_groups": [],
            "individuals": []
        }
    },
    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/intake_flows

Create an intake flow

Creates a new intake flow.

Required attributes

  • Name
    name
    Type
    string
    Description

    Name of intake flow.

  • Name
    default
    Type
    boolean
    Description

    Whether this is the default intake flow.

  • Name
    forms
    Type
    array of stringd
    Description

    List of form ids that are part of the intake flow.

  • Name
    usable_by
    Type
    object
    Description
    Only applies if not the default intake flow. Who can use this form.

Optional attributes

  • Name
    description
    Type
    string
    Description

    Description of intake flow.

Request

POST
/v2/intake_flows
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/intake_flows" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{
    "name": "Example",
    "default": true,
    "forms": []
  }'

Response

     {
        "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
        "object": "form",
        "name": "Default Intake Flow",
        "description": "This is the default intake flow.",
        "default": true,
        "forms": ["form_NOIYLBGOBNhSwTWCUzfu", "form_OBNhSwTWNOIYLBGCUzfu"],
        "usable_by": {
            "usable_by_all": true,
            "usable_by": {
                "medical_centers":[],
                "specializations": [],
                "peer_groups": [],
                "individuals": []
            }
        },
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
    }


GET/v2/form/:id

Retrieve a form

Retrieves the specified form.

Request

GET
/v2/form/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/form/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response


      {
        "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
        "object": "form",
        "name": "Default Intake Flow",
        "description": "This is the default intake flow.",
        "default": true,
        "forms": ["form_NOIYLBGOBNhSwTWCUzfu", "form_OBNhSwTWNOIYLBGCUzfu"],
        "usable_by": {
          "usable_by_all": true,
          "usable_by": {
            "medical_centers":[],
            "specializations": [],
            "peer_groups": [],
            "individuals": []
          }
        },
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
      }


POST/v2/form/:id

Update a form

Updates the specified form object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

  • Name
    updated_by
    Type
    string
    Description

    Updates to the form made by.

Optional attributes

  • Name
    name
    Type
    string
    Description

    Name of intake flow.

  • Name
    description
    Type
    string
    Description

    Description of intake flow.

  • Name
    default
    Type
    boolean
    Description

    Whether this is the default intake flow.

  • Name
    forms
    Type
    array of stringd
    Description

    List of form ids that are part of the intake flow.

  • Name
    usable_by
    Type
    object
    Description
    Only applies if not the default intake flow. Who can use this form.

Request

POST
/v2/form/:id
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/form/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{
    "updated_by": "user_Z1zXZKvqrpwxbznuW6lJ"
  }'

Response


      {
        "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
        "object": "form",
        "name": "Default Intake Flow",
        "description": "This is the default intake flow.",
        "default": true,
        "forms": ["form_NOIYLBGOBNhSwTWCUzfu", "form_OBNhSwTWNOIYLBGCUzfu"],
        "usable_by": {
          "usable_by_all": true,
          "usable_by": {
            "medical_centers":[],
            "specializations": [],
            "peer_groups": [],
            "individuals": []
          }
        },
        "created_by": "user_xeDpGyt67wTor93qKtS7",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
      }

GET/v2/intake_flows

List all intake flows

Returns a list of all intake flows.

Request

GET
/v2/intake_flows
curl "https://{{base_subdomain}}.avonhealth.com/v2/intake_flows" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      "object": "list",
      "data": [
        {
          "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
          "object": "form",
          "name": "Default Intake Flow",
          "description": "This is the default intake flow.",
          "default": true,
          "forms": ["form_NOIYLBGOBNhSwTWCUzfu", "form_OBNhSwTWNOIYLBGCUzfu"],
          "usable_by": {
            "usable_by_all": true,
            "usable_by": {
              "medical_centers":[],
              "specializations": [],
              "peer_groups": [],
              "individuals": []
            }
          },
          "created_by": "user_xeDpGyt67wTor93qKtS7",
          "created_at": "2024-04-10T13:20:21.724Z",
          "last_updated_at": "2024-04-10T13:20:21.724Z"
        },
      ]
    }

DELETE/v2/intake_flows/:id

Delete an intake flow

Deletes the specified intake flow.

Required attributes

    Optional attributes

      Request

      DELETE
      /v2/intake_flows/:id
      curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/intake_flows/:id" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}"
      

      Response

          {
              "id": "iflw_NOIYLBGOBNhSwTWCUzfu",
              "object": "intake_flow",
              "delete": true
          }